Bug 135610 - misc/chmlib: update, take maintainership
Summary: misc/chmlib: update, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-16 00:20 UTC by Dima Panov
Modified: 2009-06-16 03:13 UTC (History)
0 users

See Also:


Attachments
chmlib.diff (2.17 KB, patch)
2009-06-16 00:20 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov 2009-06-16 00:20:01 UTC

misc/chmlib: update, take maintainership
patch-ltmain.sh need to be removed
Comment 1 Dmitry Marakasov freebsd_committer 2009-06-16 00:39:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it
Comment 2 Dmitry Marakasov freebsd_committer 2009-06-16 01:14:08 UTC
State Changed
From-To: open->feedback

Plist is incomplete: http://people.freebsd.org/~amdmi3/chmlib-0.40.log
Comment 3 Dima Panov 2009-06-16 01:35:43 UTC
On Tuesday 16 June 2009 10:12:30 Dima Panov wrote:
> >Number:         135610
> >Category:       ports
> >Synopsis:       misc/chmlib: update, take maintainership
> >Originator:     Dima Panov
> >Release:        FreeBSD 8.0-800097-CURRENT i386
>
>
> >Description:
>
> misc/chmlib: update, take maintainership
> patch-ltmain.sh need to be removed
>

Ouch, my fault.. forgot to move patch to clean tree :(

updated.


Index: misc/chmlib/Makefile
===================================================================
RCS file: /home/ncvs/ports/misc/chmlib/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- misc/chmlib/Makefile	21 Dec 2007 01:26:23 -0000	1.22
+++ misc/chmlib/Makefile	16 Jun 2009 00:31:50 -0000
@@ -7,12 +7,11 @@
 #
 
 PORTNAME=	chmlib
-PORTVERSION=	0.39
-PORTREVISION=	2
+PORTVERSION=	0.40
 CATEGORIES=	misc
 MASTER_SITES=	http://www.jedrea.com/chmlib/
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	fluffy@Fluffy.Khv.RU
 COMMENT=	A library for dealing with Microsoft ITSS/CHM format files
 
 USE_BZIP2=	yes
Index: misc/chmlib/distinfo
===================================================================
RCS file: /home/ncvs/ports/misc/chmlib/distinfo,v
retrieving revision 1.9
diff -u -r1.9 distinfo
--- misc/chmlib/distinfo	25 Jan 2007 16:14:46 -0000	1.9
+++ misc/chmlib/distinfo	15 Jun 2009 22:59:17 -0000
@@ -1,3 +1,3 @@
-MD5 (chmlib-0.39.tar.bz2) = debed1a0bdded7a12d3d967e497cea9c
-SHA256 (chmlib-0.39.tar.bz2) = 
d2305d449eb5a2922ed3e61714074b09aae2491aa0cdbb783ab33a1744e0ff41
-SIZE (chmlib-0.39.tar.bz2) = 263013
+MD5 (chmlib-0.40.tar.bz2) = 7ea49ed8c335215c1edc6fae83e6b912
+SHA256 (chmlib-0.40.tar.bz2) = 
3449d64b0cf71578b2c7e3ddc048d4af3661f44a83941ea074a7813f3a59ffa3
+SIZE (chmlib-0.40.tar.bz2) = 252036
Index: misc/chmlib/files/patch-ltmain.sh
===================================================================
RCS file: /home/ncvs/ports/misc/chmlib/files/patch-ltmain.sh,v
retrieving revision 1.3
diff -u -r1.3 patch-ltmain.sh
--- misc/chmlib/files/patch-ltmain.sh	19 Jun 2006 01:34:37 -0000	1.3
+++ misc/chmlib/files/patch-ltmain.sh	16 Jun 2009 00:31:43 -0000
@@ -1,14 +1,14 @@
 --- ltmain.sh.orig	Mon Jun 19 09:26:24 2006
 +++ ltmain.sh	Mon Jun 19 09:26:40 2006
-@@ -6003,10 +6003,12 @@
+@@ -2077,10 +2077,12 @@
  	fi
  
  	# Install the pseudo-library for information purposes.
 +	if /usr/bin/false ; then
- 	name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
+ 	func_basename "$file"
+ 	name="$func_basename_result"
  	instname="$dir/$name"i
- 	$show "$install_prog $instname $destdir/$name"
- 	$run eval "$install_prog $instname $destdir/$name" || exit $?
+ 	func_show_eval "$install_prog $instname $destdir/$name" 'exit $?'
 +	fi
  
  	# Maybe install the static library, too.


-- 
Dmitry "Red Fox" Panov @ Home | KDE@FreeBSD Team | FreeBSD since September 1995
Khabarovsk, Russia     | Skype:dima.panov | Jabber.org:fluffy.khv | ICQ:1745024
Comment 4 Dmitry Marakasov freebsd_committer 2009-06-16 03:13:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!